" Vim syntax file
" Language:	Magic export
" first line is VRSN=[0-9][0-9]*
" Maintainer:	Dominique Stphan (dominique@mggen.com)
" URL: http://www.mggen.com/vim/
" Last Change:	2002 Dec 3


" Magic at http://www.magicsoftware.com/
" and      http://www.mggen.com/

" clear any unwanted syntax defs
" For version 5.x: Clear all syntax items
" For version 6.x: Quit when a syntax file was already loaded
if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

" shut case off
syn case ignore

" 
syn match magicCode		"[A-Z_][A-Z_]*="

" Head of regedit .reg files, it's REGEDIT4 on Win9#/NT
syn match magicHead		"^VRSN=[0-9]*$"
syn match magicHead		"^APPLICATION=[YN]$"
syn match magicHead		"^ISN=[YN]$"

" Hilight some flags
syn match magicRGHT		"^RGHT="
syn match magicHLP		"^HLP="
syn match magicTYP		"^TYP="
syn match magicFILE		"^FILE="
syn match magicPRG		"^PRG="
syn match magicMENU		"^MENU="
syn match magicCTL		"^CTL="
syn match magicEVNT		"^EVNT="

" Type
syn match   magicNumber	"[0-9]*"
syn match   magicTime	"[0-9][0-9]:[0-9][0-9]:[0-9][0-9]"
syn match   magicDate	"[0-9][0-9]*\/[0-9][0-9]*\/[0-9][0-9]*"

" Sometimes found in strings
" GET.DLL call :-)
syn match   magicGet	"'[a-z_]*get\.[a-z_-]*'"
" Magic Logical Name
syn match   magicLogicalName	"%[a-zA-Z0-9_-]*%"
" Magic logical values
syn match   magicLogical	"'TRUE'LOG\|'FALSE'LOG"
" Magic action
syn match   magicAct		"'[a-zA-Z0-1_ -]*'ACT"

" String
syn region  magicString	start=+"+  end=+"+ contains=magicNumber,magicTime,magicDate,magicGet,magicLogicalName,magicLogical,magicAct

if version >= 508 || !exists("did_magic_syntax_inits")
  if version < 508
    let did_magic_syntax_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif

   HiLink magicHead	Constant
   HiLink magicCode	Special
   HiLink magicString   String
   HiLink magicNumber   Number
   HiLink magicDate     Type
   HiLink magicTime     Type
   HiLink magicGet      Comment
   HiLink magicLogicalName  Comment
   HiLink magicLogical  Comment
   HiLink magicAct      Comment

   HiLink magicRGHT    Operator
   HiLink magicHLP     Operator
   HiLink magicTYP     Operator
   HiLink magicFILE    Operator
   HiLink magicPRG     Operator
   HiLink magicMENU    Operator
   HiLink magicCTL     Operator
   HiLink magicEVNT    Operator

   delcommand HiLink
endif


let b:current_syntax = "magic"

" vim:ts=8
